Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ulauncher: 5.7.3 -> 5.7.5 #86995

Open
wants to merge 1 commit into
base: master
from
Open

Conversation

@aaronjanse
Copy link
Member

aaronjanse commented May 5, 2020

Motivation for this change

Fixed PR for updating ulauncher (see #86756)

Things done
  • Tested using sandboxing (nix.useSandbox on NixOS, or option sandbox in nix.conf on non-NixOS linux)
  • Built on platform(s)
    • NixOS
    • macOS
    • other Linux distributions
  • Tested via one or more NixOS test(s) if existing and applicable for the change (look inside nixos/tests)
  • Tested compilation of all pkgs that depend on this change using nix-shell -p nixpkgs-review --run "nixpkgs-review wip"
  • Tested execution of all binary files (usually in ./result/bin/)
  • Determined the impact on package closure size (by running nix path-info -S before and after)
  • Ensured that relevant documentation is up to date
  • Fits CONTRIBUTING.md.
@ryantm
Copy link
Member

ryantm commented May 7, 2020

Result of nixpkgs-review pr 86995 1

1 package built:
- ulauncher
@ryantm
Copy link
Member

ryantm commented May 7, 2020

2020-05-07 07:49:24,670 | ERROR | ulauncher: except_hook() | Uncaught exception
Traceback (most recent call last):
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/config.py", line 68, in get_data_path
    return paths[0]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/bin/..ulauncher-wrapped-wrapped", line 29, in <module>
    main()
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/main.py", line 128, in main
    window = UlauncherWindow.get_instance()
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/utils/decorator/singleton.py", line 19, in wrapper
    instance = fn(*args, **kwargs)
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 55, in get_instance
    return cls()
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 63, in __new__
    builder = Builder.new_from_file('UlauncherWindow')
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/Builder.py", line 47, in new_from_file
    ui_filename = get_data_file('ui', '%s.ui' % (builder_file_name,))
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/config.py", line 42, in get_data_file
    return os.path.join(get_data_path(), *path_segments)
  File "/nix/store/m89m6hwfda5bvanwr16qcgg9kxv66wkr-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/config.py", line 70, in get_data_path
    raise ProjectPathNotFoundError()
ulauncher.config.ProjectPathNotFoundError

Is there something I need to do to set up ulauncher to test it?

@aaronjanse
Copy link
Member Author

aaronjanse commented May 8, 2020

Is there something I need to do to set up ulauncher to test it?

My understanding is that ulauncher needs to be installed with nix-env or put in the system packages list because I don't think nix-build populates /run/current-system/sw/share/ulauncher
or $HOME/.nix-profile/share/ulauncher.

From 86cc27022015697a61d1ec1b13e52f9dbe7f6c57 Mon Sep 17 00:00:00 2001
From: worldofpeace <worldofpeace@protonmail.ch>
Date: Mon, 23 Mar 2020 18:34:00 -0400
Subject: [PATCH] Adjust get_data_path for NixOS
We construct the ulauncher data path from xdg_data_dirs
and prevent it from being a nix store path or being xdg_data_home.
We do this to prevent /nix/store paths being hardcoded to shortcuts.json.
On NixOS this path will either be /run/current-system/sw/share/ulauncher
or $HOME/.nix-profile/share/ulauncher if the user used nix-env.

@ryantm
Copy link
Member

ryantm commented May 8, 2020

@aaronjanse
Okay, that got me to another error:

2020-05-08 12:03:34,410 | WARNING | ulauncher.utils.image_loader: load_image() | Could not load image /home/ryantm/.nix-profile/share/ulauncher/media/gear.svg. E: gdk-pixbuf-error-quark: Couldn’t recognize the image file format for file “/home/ryantm/.nix-profile/share/ulauncher/media/gear.svg” (3)
2020-05-08 12:03:34,411 | ERROR | ulauncher: except_hook() | Uncaught exception
Traceback (most recent call last):
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/bin/..ulauncher-wrapped-wrapped", line 29, in <module>
    main()
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/main.py", line 128, in main
    window = UlauncherWindow.get_instance()
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/utils/decorator/singleton.py", line 19, in wrapper
    instance = fn(*args, **kwargs)
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 55, in get_instance
    return cls()
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 65, in __new__
    new_object.finish_initializing(builder)
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 98, in finish_initializing
    self.init_theme()
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 226, in init_theme
    self._render_prefs_icon()
  File "/nix/store/kyk0ngvrp32yfgbpcmnzkhn2ykbbzfis-ulauncher-5.7.5/lib/python3.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 357, in _render_prefs_icon
    surface = Gdk.cairo_surface_create_from_pixbuf(prefs_pixbuf, scale_factor, self.get_window())
TypeError: Argument 0 does not allow None as a value
@aaronjanse
Copy link
Member Author

aaronjanse commented May 8, 2020

That's weird. That error is supposed to be fixed by:

https://github.com/NixOS/nixpkgs/pull/86995/files#diff-c4f3f089ea0cc55603e11994f21bb334R106

gappsWrapperArgs+=(--prefix GDK_PIXBUF_MODULE_FILE : "$(echo ${librsvg.out}/lib/gdk-pixbuf-2.0/*/loaders.cache)")

I'm having trouble figuring out how to reproduce that error on my system.

@nothingelsematters
Copy link

nothingelsematters commented Jun 9, 2020

Are there any updates on these issues?

@aaronjanse
Copy link
Member Author

aaronjanse commented Jun 10, 2020

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants
You can’t perform that action at this time.